<form rxapForm>
  <div fxLayout="column" fxLayoutGap="4px">
    <mat-form-field data-cy="form.create-restaurant.name" fxFlex="nogrow">
      <mat-label i18n>Name</mat-label>
      <input
        formControlName="name"
        i18n-placeholder
        matInput
        placeholder="Enter name"
        rxapRequired
        type="text"
      />
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>The name is required</ng-container>
      </mat-error
      >
    </mat-form-field>
  </div>
  <ng-template let-windowRef rxapFormWindowFooter>
    <rxap-form-controls
      (close)="windowRef.complete()"
      (submitted)="windowRef.next($event)"
    ></rxap-form-controls>
  </ng-template>
</form>
